Bug 1256579 - [RFE] remind users about recipes Waiting for reboot on systems with no power control
[RFE] remind users about recipes Waiting for reboot on systems with no power ...
Status: NEW
Product: Beaker
Classification: Community
Component: general (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 23:56 EDT by Roman Joost
Modified: 2015-08-26 03:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IRC conversation (1.46 KB, text/plain)
2015-08-24 23:58 EDT, Roman Joost
no flags Details

  None (edit)
Description Roman Joost 2015-08-24 23:56:28 EDT
Description of problem:
Like Bug 903930 describing that machines could get stuck in waiting forever if the recipe has not specified the power control, Beaker should nag authors to fill in the power control.

From the conversation in IRC:

2015-08-25 13:40:54	ncoghlan	speaking of the metrics page (on Freenode), there appears to be a stuck power controller somewhere
2015-08-25 13:41:18	ncoghlan	several systems in "waiting" on the metrics page: https://docs.engineering.redhat.com/display/HTD/Beaker+Metrics
2015-08-25 13:46:08	dcallagh_trng	ncoghlan: not stuck
2015-08-25 13:46:12	dcallagh_trng	i checked
2015-08-25 13:46:15	dcallagh_trng	the machines have no power control
2015-08-25 13:46:18	dcallagh_trng	they are in the GSS lab
2015-08-25 13:46:28	ncoghlan	dcallagh_trng: ah, cool
2015-08-25 13:46:31	dcallagh_trng	seems to be a common problem, someone either forgets to fill in the power settings, or maybe it has none at all
2015-08-25 13:46:56	dcallagh_trng	i think when i looked there was only 3 or 4 recipes stuck like that, hopefully they will eventually get them fixed up
2015-08-25 13:47:07	ncoghlan	dcallagh_trng: does Beaker email or otherwise notify users when it's waiting for them to power cycle a machine?
2015-08-25 13:47:11	dcallagh_trng	ncoghlan: no
2015-08-25 13:47:13	dcallagh_trng	there is an old bug about that
2015-08-25 13:47:25	dcallagh_trng	the fact that you can accidentally have no power control and your recipe will stay in Waiting forever
2015-08-25 13:47:37	dcallagh_trng	we could add it to the nag mail probably
2015-08-25 13:47:49	ncoghlan	heh, I was about to suggest something along those lines
2015-08-25 13:47:50	dcallagh_trng	a new section for recipes waiting for you to press the reboot button
Comment 1 Roman Joost 2015-08-24 23:58:49 EDT
Created attachment 1066713 [details]
IRC conversation

Realising that reading the IRC conversation on the bug itself is probably really hard, I'm attaching this as a log.
Comment 2 Dan Callaghan 2015-08-26 03:21:04 EDT
We don't need to nag people to fill in the power settings, it's legitimate to have a system with no automatic power control. In that case if the user is running recipes on there, they have to walk over to it and manually hit the reboot button.

The idea is just to add a new section to the beaker-usage-reminder e-mail, reminding the user about recipes which are waiting for them to manually reboot the system.

In case they really did just forget to fill in the power settings that should give them a reminder to do so. Or else, if it really doesn't have automatic power control it will remind them to walk over and hit the button.
Comment 3 Dan Callaghan 2015-08-26 03:21:48 EDT
Given that beaker-usage-reminder already exists and works, adding this new section to it should be relatively straightforward.

Note You need to log in before you can comment on or make changes to this bug.